import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiSingleSelectionElement } from "../../elements/StiSingleSelectionElement";
import * as i0 from "@angular/core";
export declare class StiSingleSelectionComponent implements OnInit {
    model: StiModelService;
    element: StiSingleSelectionElement;
    isClone: boolean;
    constructor(model: StiModelService);
    get columns(): any[];
    get rows(): any[];
    getColumns(rowIndex: number): any[];
    get align(): string;
    disableDrag(event: any): void;
    changeState(option: any): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiSingleSelectionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiSingleSelectionComponent, "sti-singleselection-component", never, { "element": { "alias": "element"; "required": false; }; "isClone": { "alias": "isClone"; "required": false; }; }, {}, never, never, false, never>;
}
